/* Contact form page styles */

/* При расчете размеров инпутов учитываем внутренние отступы и границы */
#tt-pageContent input,
#tt-pageContent textarea {
  box-sizing: border-box;
}

/* Стили самой формы */
#tt-pageContent .content {
  display: flex;
  align-items: center;
  justify-content: space-between;
  background: #fff;
  padding: 40px;
  border-radius: 5px;
  box-shadow: 4px 4px 8px 0 rgba(34, 60, 80, 0.2);
}

/* Стили левой колонки */
#tt-pageContent .left-side {
  width: 25%;
  height: 100%;
  position: relative;
  display: flex;
  flex-direction: column;
}

/* Стили разделительной линии между левой и правой колонкой */
#tt-pageContent .left-side::before {
  content: "";
  position: absolute;
  height: 70%;
  width: 2px;
  background: #afafb6;
  right: -15px;
  top: 50%;
  transform: translateY(-50%);
}

/* Стили правой колонки */
#tt-pageContent .right-side {
  width: 75%;
  margin-left: 75px;
}

/* Элементы левой колонки: адрес, телефон, email */
#tt-pageContent .details {
  margin-bottom: 15px;
  text-align: center;
}

/* Общие стили для иконок */
#tt-pageContent .details i {
  font-size: 25px;
  color: #3e2093;
  margin-bottom: 10px;
}

/* Стили для заголовков левой колонки */
#tt-pageContent .topic {
  font-size: 18px;
  font-weight: 500;
  margin-bottom: 7px;
}

/* Стили для текста левой колонки */
#tt-pageContent .text-one,
#tt-pageContent .text-two {
  font-size: 14px;
  color: #afafb6;
}

/* Заголовок правой колонки */
#tt-pageContent .topic-text {
  font-size: 23px;
  font-weight: 600;
  color: #3e2093;
  margin-bottom: 10px;
}

/* Текст правой колонки */
#tt-pageContent .right-side p {
  margin-bottom: 20px;
}

/* Контейнер для input'ов формы */
#tt-pageContent .input-box {
  height: 50px;
  width: 100%;
  margin-bottom: 20px;
}

/* Стили для input и textarea (поле сообщение) */
#tt-pageContent .input-box input,
#tt-pageContent .input-box textarea {
  height: 100%;
  width: 100%;
  border: none;
  border-radius: 5px;
  background: #f0f1f8;
  padding: 0 20px;
}

/* Отдельно стилизуем поле сообщение */
#tt-pageContent .input-box textarea {
  resize: none;
  padding: 20px;
  font-family: "Roboto", sans-serif;
}

/* Это контейнер для поля сообщение */
#tt-pageContent .message-box {
  min-height: 110px;
}

/* Стили для контейнера кнопки */
#tt-pageContent .button {
  display: inline-block;
}

/* Стили для самой кнопки */
#tt-pageContent .button input[type="button"] {
  color: #fff;
  font-size: 18px;
  background: #3e2093;
  outline: none;
  border: none;
  padding: 10px 20px;
  border-radius: 7px;
  transition: 0.2s;
}

/* Меняем цвет фона при наведении на кнопку */
#tt-pageContent .button input[type="button"]:hover {
  background: rgb(0, 0, 207);
}

/* Меняем стили при ширине экрана меньше 800px */
@media (max-width: 800px) {
  #tt-pageContent .content {
    height: 100%;
    flex-direction: column-reverse;
  }

  #tt-pageContent .left-side {
    margin-top: 50px;
    flex-direction: row;
    width: 100%;
    justify-content: center;
    flex-wrap: wrap;
  }
  #tt-pageContent .details {
    margin-right: 20px;
  }
  #tt-pageContent .details:last-child {
    margin-right: 0;
  }

  #tt-pageContent .left-side::before {
    display: none;
  }

  #tt-pageContent .right-side {
    width: 100%;
    margin-left: 0;
  }
}
